SwitchMultilevel.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/SwitchMultilevel.h"`
`#include "command_classes/WakeUp.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Driver.h"`
`#include "Node.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueButton.h"`
`#include "value_classes/ValueByte.h"`

## Enumerations

enum | SwitchMultilevelCmd { SwitchMultilevelCmd_Set = 0x01, SwitchMultilevelCmd_Get = 0x02, SwitchMultilevelCmd_Report = 0x03, SwitchMultilevelCmd_StartLevelChange = 0x04, SwitchMultilevelCmd_StopLevelChange = 0x05, SwitchMultilevelCmd_SupportedGet = 0x06, SwitchMultilevelCmd_SupportedReport = 0x07 }
enum | { SwitchMultilevelIndex_Level = 0, SwitchMultilevelIndex_Bright, SwitchMultilevelIndex_Dim, SwitchMultilevelIndex_IgnoreStartLevel, SwitchMultilevelIndex_StartLevel, SwitchMultilevelIndex_Duration, SwitchMultilevelIndex_Step, SwitchMultilevelIndex_Inc, SwitchMultilevelIndex_Dec }

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
SwitchMultilevelIndex_Level |
SwitchMultilevelIndex_Bright |
SwitchMultilevelIndex_Dim |
SwitchMultilevelIndex_IgnoreStartLevel |
SwitchMultilevelIndex_StartLevel |
SwitchMultilevelIndex_Duration |
SwitchMultilevelIndex_Step |
SwitchMultilevelIndex_Inc |
SwitchMultilevelIndex_Dec |

## SwitchMultilevelCmd

enum SwitchMultilevelCmd

Enumerator
SwitchMultilevelCmd_Set |
SwitchMultilevelCmd_Get |
SwitchMultilevelCmd_Report |
SwitchMultilevelCmd_StartLevelChange |
SwitchMultilevelCmd_StopLevelChange |
SwitchMultilevelCmd_SupportedGet |
SwitchMultilevelCmd_SupportedReport |